package com.example.gittask.navigation
import androidx.compose.runtime.Composable
import androidx.navigation.Navigation
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.gittask.screens.Bezaeva
import com.example.gittask.screens.Gorbachev
import com.example.gittask.screens.Provalenko
import com.example.gittask.screens.startScreen


@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,

        startDestination = "startScreen")
    {
        composable("startscreen")
        {
            startScreen(navController)
        }
        composable("Gorbachev"){
            Gorbachev(navController)
        }
        composable("Provalenko"){
            Provalenko(navController)
        }
        composable("Bezaeva")
        {
            Bezaeva(navController)
        }

    }}